<?
include $_SERVER['DOCUMENT_ROOT']."/anti_ hacker.php"; 
$set['title']="".filter_var($soo['name'], FILTER_SANITIZE_SPECIAL_CHARS)." - Форум - ".filter_var($forum['name'], FILTER_SANITIZE_SPECIAL_CHARS)." - ".filter_var($razdel['name'], FILTER_SANITIZE_SPECIAL_CHARS)." - Новая тема"; // заголовок страницы
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['name']) && isset($_POST['msg']))
{

if (isset($_SESSION['time_c_t_forum']) && $_SESSION['time_c_t_forum']>$time-600 && $user['id']!=$soo['admid'] )$err='Нельзя так часто создавать темы';

$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
if (isset($_POST['translit1']) && $_POST['translit1']==1)$name=translit($name);
//if (ereg("\{|\}|\^|\%|\\$|#|@|!|\~|'|\"|`|<|>",$name))$err='В названии темы присутствуют запрещенные символы';
if (strlen2($name)<3)$err[]='Короткое название для темы';
if (strlen2($name)>32)$err[]='Название темы не должно быть длиннее 32-х символов';
$mat=antimat($name);
if ($mat)$err[]='В названии темы обнаружен мат: '.$mat;


$name=my_esc($name);


$msg=$_POST['msg'];
if (isset($_POST['translit2']) && $_POST['translit2']==1)$msg=translit($msg);
if (strlen2($msg)<10)$err[]='Короткое сообщение';
if (strlen2($msg)>10000)$err[]='Длина сообщения превышает предел в 10000 символов';

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

$msg=my_esc($msg);

if (!isset($err))
{
$_SESSION['time_c_t_forum']=$time;
mysql_query("INSERT INTO `soo_forum_thems` (`id_forum`, `id_soo`, `time_create`, `id_user`, `name`, `time`) values('$forum[id]', '$soo[id]', '$time', '$user[id]', '$name', '$time')");
$them['id']=mysql_insert_id();
mysql_query("INSERT INTO `soo_forum_mess` (`id_forum`, `id_soo`, `id_them`, `id_user`, `mess`, `time`) values('$forum[id]', '$soo[id]', '$them[id]', '$user[id]', '$msg', '$time')");
msg('Тема успешно создана');
aut();


echo "<div class='menu'>\n";
echo "<a href=\"?s=$soo[id]&id_forum=$forum[id]&id_them=$them[id]\" title='Перейти в тему'>Перейти в тему</a><br />\n";
echo "<a href=\"?s=$soo[id]&id_forum=$forum[id]\" title='Вернуться к списку тем'>Назад</a><br />\n";
echo "<a href=\"forum.php?s=$soo[id]\">Форум</a><br />\n";
echo "<a href=\"index.php?s=$soo[id]\">В сообщество</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
}

}

err();
aut();








echo "<form method=\"post\" action=\"?s=$soo[id]&id_forum=$forum[id]&act=new\">";
echo "Название темы:<br />\n";
echo "<input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit1\" value=\"1\" /> Транслит</label><br />\n";
echo "Сообщение:<br />\n";
echo "<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit2\" value=\"1\" /> Транслит</label><br />\n";
echo "<input value=\"Создать\" type=\"submit\" /><br />\n";
echo "</form>\n";

echo "<div class=\"foot\">\n";
echo "<a href=\"?s=$soo[id]&id_forum=$forum[id]\" title='Вернуться к списку тем'>Назад</a><br />\n";
echo "<a href=\"forum.php?s=$soo[id]\">Форум</a><br />\n";
echo "<a href=\"index.php?s=$soo[id]\">В сообщество</a><br />\n";
echo "</div>\n";
?>